import {getTasks, getServersAndRepositories} from '../data'

export default {
  computed: {
    tasks () {
      return getTasks(this)
    },
    repositories () {
      return getServersAndRepositories(this)
    },
    tasksBySlug () {
      let t = {}
      this.tasks.forEach(e => {
        t[e.slug] = e
      });
      return t
    }
  }
}
